XF 2.1 data-vocabulary.org schema deprecated error from google today?

TUG

Member
got this notification today from google referencing the forum domain?


Search Console has identified that your site is affected by 1 Breadcrumbs issues:

Top Warnings

Warnings are suggestions for improvement. Some warnings can affect your appearance on Search; some might be reclassified as errors in the future. The following warnings were found on your site:

data-vocabulary.org schema deprecated
ive made no changes to this since upgrading?

any ideas?
 

NixFifty

Well-known member
I got this earlier for some sites recently updated to XF2. Looks like it was picked up when the sites were on XF1 (data-vocabulary.org isn't referenced in XF2) and the notification about it was just super delayed.
 

TUG

Member
sorry, we are on xen 2.x...and those posts seem to imply that its "not an issue" with 2.x?

certainly seems thats not the case (or perhaps its because we upgraded from xen 1.x)....so how do we fix it?
 

leebo

Active member
I too got this email yesterday from Google. Haven’t had a chance to read about it however to see what it’s about.
 

clubpromos

Active member
I upgraded from 1.5x to 2.1x just a few weeks ago and got this email from Google too a few hours ago.
I was coming here to check if there was a solution?
 

Chris D

XenForo developer
Staff member
As @NixFifty says, we haven’t used data-vocab markup in XF 2.x.

It would certainly seem to be related to people who were recently on XF 1.5 and therefore it is a false positive that can be ignored.

If it persists then you will have to check your own templates in case an add-on has included it.
 

Moshe1010

Well-known member
As @NixFifty says, we haven’t used data-vocab markup in XF 2.x.

It would certainly seem to be related to people who were recently on XF 1.5 and therefore it is a false positive that can be ignored.

If it persists then you will have to check your own templates in case an add-on has included it.
Is there a way to change it on XF 1.5?
 

Chris D

XenForo developer
Staff member
Nope. If you use old software, you will start to get issues such as this as time goes on, unfortunately.
 

djbaxter

Well-known member
Also note that all this means is that Google won't use the information in those for rich snippets in search results. Even if you are using a theme that still includes them (e.g., I have a couple of WordPress themes that do), there is no penalty for ignoring the alerts from Google. You'll just need to use something else for your preferred rich snippets.

That's not a reason to avoid upgrading to XF 2.x, though. There are other issues with XF 1.5 you should be concerned about.
 

TUG

Member
are there any plans to implement a way to insert the proper/current json or schema data in the headers of all xen 2.x forum pages?
 

TUG

Member
did verify just now using the structured data tool from google that there are no warnings or errors on my xen2 installation that was recently upgraded from 1.5...
 

clubpromos

Active member
As @NixFifty says, we haven’t used data-vocab markup in XF 2.x.

It would certainly seem to be related to people who were recently on XF 1.5 and therefore it is a false positive that can be ignored.

If it persists then you will have to check your own templates in case an add-on has included it.
Makes perfect sense. Thanks!
 

Moshe1010

Well-known member
Nope. If you use old software, you will start to get issues such as this as time goes on, unfortunately.
It seems like it's possible. There are about 5 templates that use data-vocabulary, so changing them would fix the issue...
 

ozzy47

Well-known member
Yes, you and each site owner could patch their own sites as time goes on and more stuff breaks.
 

TUG

Member
any idea how long this will continue to show up as an alert/error in the google search console? forever? (got another round of warnings today)
 

TUG

Member
apparently it IS resolved for anyone on 2.x...however the messages are still generated by the search console...despite it actually not being an error.
 
Top